package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PermApplyBillHisRolePermApplyHiCollection extends AbstractObjectCollection 
{
    public PermApplyBillHisRolePermApplyHiCollection()
    {
        super(PermApplyBillHisRolePermApplyHiInfo.class);
    }
    public boolean add(PermApplyBillHisRolePermApplyHiInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PermApplyBillHisRolePermApplyHiCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PermApplyBillHisRolePermApplyHiInfo item)
    {
        return removeObject(item);
    }
    public PermApplyBillHisRolePermApplyHiInfo get(int index)
    {
        return(PermApplyBillHisRolePermApplyHiInfo)getObject(index);
    }
    public PermApplyBillHisRolePermApplyHiInfo get(Object key)
    {
        return(PermApplyBillHisRolePermApplyHiInfo)getObject(key);
    }
    public void set(int index, PermApplyBillHisRolePermApplyHiInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PermApplyBillHisRolePermApplyHiInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PermApplyBillHisRolePermApplyHiInfo item)
    {
        return super.indexOf(item);
    }
}